Subject: bug#457: Beowulf upgrade drops "sbin" directories from root $PATH

From: Mark Hindley <[email-masked]>
Date: Mon, 11 May 2020 09:53:28 +0100

Control: reassign -1 util-linux

Eidolon,

Thanks for this.

On Sun, May 10, 2020 at 05:02:56PM +0000, [email-masked] wrote:
>    Upon reboot, I noticed that the "service" command could not be found.
>    Nor could ifconfig. I could, however, run the command with the full
>    path (ie, /sbin/ifconfig).
> 
>    Workaround
> 
>    echoing $PATH proved that there were no sbin directories (/sbin,
>    /usr/sbin, /usr/local/sbin). I was able to work around this with a
>    simple export PATH=$PATH:/sbin:/usr/sbin:/usr/local/sbin for my root
>    account.

You don't say how you are using root. I suspect with su(1)?

If so, this behaviour change is known and well documented. See

 - https://beta.devuan.org/os/documentation/install-guides/beowulf/Release_notes_beowulf_3.0.0.txt
 - /usr/share/doc/util-linux/NEWS.Debian.gz

Mark